package com.chenyang.druid.sql.dialect.mariadb.ast.statement;

import com.chenyang.druid.sql.ast.statement.SQLSelect;
import com.chenyang.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class MariadbUpdatePlanCacheStatement extends MariadbStatementImpl implements MariadbShowStatement {
   private SQLSelect formSelect;
   private SQLSelect toSelect;

   public SQLSelect getFormSelect() {
      return this.formSelect;
   }

   public void setFormSelect(SQLSelect formSelect) {
      this.formSelect = formSelect;
   }

   public SQLSelect getToSelect() {
      return this.toSelect;
   }

   public void setToSelect(SQLSelect toSelect) {
      this.toSelect = toSelect;
   }

   public void accept0(MariadbASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.formSelect);
         this.acceptChild(visitor, this.toSelect);
      }

      visitor.endVisit(this);
   }
}
